#!/bin/sh -f


export DIR=`\pwd`
mkdir $DIR/download
cd $DIR/download
export URL='http://supernovae.in2p3.fr/salt/lib/exe/fetch.php?media='
export VERSION=2.3.7

# download
wget ${URL}salt2_model_data-2-0.tar.gz -O $DIR/download/salt2_model_data-2-0.tar.gz
wget ${URL}snls3-landolt-model.tar.gz -O $DIR/download/snls3-landolt-model.tar.gz
wget ${URL}snls3-megacam-model.tar.gz -O $DIR/download/snls3-megacam-model.tar.gz
wget ${URL}snls3-keplercam.tar.gz -O $DIR/download/snls3-keplercam.tar.gz
wget ${URL}snls3-4shooter2.tar.gz -O $DIR/download/snls3-4shooter2.tar.gz
wget ${URL}snls3-sdss-model-doi2010.tar.gz -O $DIR/download/snls3-sdss-model-doi2010.tar.gz
wget ${URL}snls3-csp-swope.tar.gz -O $DIR/download/snls3-csp-swope.tar.gz
wget ${URL}snls3-hst-acswf.tar.gz -O $DIR/download/snls3-hst-acswf.tar.gz
wget ${URL}snls3-hst-nicmos2.tar.gz -O $DIR/download/snls3-hst-nicmos2.tar.gz
wget ${URL}snls3-magsys-1.tar.gz -O $DIR/download/snls3-magsys-1.tar.gz
wget ${URL}snls3-sdss-magsys.tar.gz -O $DIR/download/snls3-sdss-magsys.tar.gz
wget ${URL}snls3-vega-magsys.tar.gz -O $DIR/download/snls3-vega-magsys.tar.gz
wget ${URL}snfit-$VERSION.tar.gz  -O $DIR/download/snfit-$VERSION.tar.gz
wget ${URL}snls3-04d3gx.tar.gz -O $DIR/download/snls3-04d3gx.tar.gz

# install data
mkdir $DIR/data
unset PATHMODEL
export SALTPATH=$DIR/data

# salt2 model 
cd $SALTPATH 
tar zxvf $DIR/download/salt2_model_data-2-0.tar.gz
echo @SALT2 salt2-2-0 >> $SALTPATH/fitmodel.card

# instruments
mkdir $SALTPATH/Instruments
cd $SALTPATH/Instruments
tar zxvf $DIR/download/snls3-landolt-model.tar.gz 
echo @STANDARD Instruments/SNLS3-Landolt-model >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-megacam-model.tar.gz
echo @MEGACAM Instruments/SNLS3-Megacam-model >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-keplercam.tar.gz
echo @KEPLERCAM Instruments/Keplercam >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-4shooter2.tar.gz
echo @4SHOOTER2 Instruments/4Shooter2 >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-sdss-model-doi2010.tar.gz
echo @SDSS Instruments/SDSS >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-csp-swope.tar.gz
echo @SWOPE Instruments/Swope >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-hst-acswf.tar.gz
echo @ACSWF Instruments/ACSWF >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-hst-nicmos2.tar.gz
echo @NICMOS2 Instruments/NICMOS2 >> $SALTPATH/fitmodel.card

#magnitude systems
cd $SALTPATH
tar zxvf $DIR/download/snls3-magsys-1.tar.gz
echo @VEGA MagSys/BD17-snls3.dat >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-sdss-magsys.tar.gz
echo @SDSS-AB-off MagSys/SDSS-AB-off.dat >> $SALTPATH/fitmodel.card
tar zxvf $DIR/download/snls3-vega-magsys.tar.gz
echo @VEGAHST MagSys/Vega0.dat >> $SALTPATH/fitmodel.card

# compile and install code
mkdir $DIR/build
cd $DIR/build
tar zxvf $DIR/download/snfit-$VERSION.tar.gz 
cd $DIR/build/snfit-$VERSION
./configure --prefix=$DIR  --enable-gfortran
make -j 2
make
make install
# for mac
export DYLD_LIBRARY_PATH=$DIR/lib

# test the code
mkdir $DIR/test
cd $DIR/test
tar zxvf $DIR/download/snls3-04d3gx.tar.gz
cd SNLS3-04D3gx
$DIR/bin/snfit lc2fit_g.dat lc2fit_r.dat lc2fit_i.dat lc2fit_z.dat 
cat result_salt2.dat result_salt2_SNLS3.dat